#ifndef AUTH_H
#define AUTH_H

/* return 0 on success, negative number on error
 * if session_id is not associated with any user, empty
 * string is put in username */
int user_by_session_id(const char *session_id, char *username);

/* return 0 on failure, 1 on success, negative number on error */
/* authenticate must assign a session id */
int authenticate(const char *username, const char *password, char *sid);

#endif /* AUTH_H */
